Skip to navigation

Retrieve a user

View as Markdown

Retrieves a single user resource. The value of the <id> should be the user’s corresponding user ID.

Authentication

AuthorizationBearer

Use Bearer {{token}} in the Authorization header for authentication.

Path parameters

idstringRequired
The ID of the user to retrieve.

Headers

Idempotency-KeystringOptional<=255 characters
Specify a unique idempotency key if you want to perform an idempotent POST or PATCH request. Do not use this header in other request types. With this header specified, the Zuora server can identify subsequent retries of the same request using this value, which prevents the same operation from being performed multiple times by accident.
Accept-EncodingstringOptional

Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response.

If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it.

Content-EncodingstringOptional

Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.

Zuora-Track-IdstringOptional<=64 characters

A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue.

The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote (').

Zuora-Entity-IdsstringOptional

An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header.

Response headers

Content-EncodingstringOptional
RateLimit-LimitstringOptional
RateLimit-Remainingdouble
RateLimit-Resetdouble
Zuora-Request-IdstringOptional
Zuora-Track-IdstringOptional

Response

OK
schemaslist of stringsOptional
A list of schema URNs that define the structure and attributes of the user resource.
idstringOptional
The unique identifier for the user resource.
metaobjectOptional
userNamestringOptional

The user’s unique username.

nameobjectOptional
displayNamestringOptional
The display name of the user, used for user interface purposes.
preferredLanguagestringOptional

The preferred language for the user, specified using a language code (e.g., ‘en’).

localestringOptional

The locale of the user, specified using a locale code (e.g., ‘en-US’).

activebooleanOptional
Indicates whether the user account is active.
emailslist of objectsOptional
groupslist of objectsOptional
roleslist of objectsOptional
urn:zuora:scim:schemas:1.0:UserExtensionobjectOptional